Subject: Offline Message from Ryan McFarland: Hello, I’ve been using my Swagtron EB5
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 16 Jan 2022 02:41:50 -0000

From: Ryan McFarland <[email-masked]>
Phone: 
Location: Washington, United States
URL: https://swagtron.com/
Department: SwagTron

Hello,

I’ve been using my Swagtron EB5 that I bought off Amazon for about a week now to travel a short distance to work. In that week, I’ve had the bolt that secures the left pedal strip out while riding which allowed the pedal to complete round off and spin freely. Upon trying to fix this, I noticed that the threads of the bolt were sheared off. I also had one of the bolts that holds the battery contacts in place fall out, which left me stranded with no power. Is there any fixes for this?

----
Zopim
https://www.zopim.com